/*
|    @(#)VNXwidget.h    V1.8    3/16/95
|===================================================================
|
|    Copyright (C) 1986,1990,1991 V. I. Corporation
|
|    VNXwidget.h - Widget set independant header file
|
|    Author: Donald Beaudry
|
|    Date:   November 8, 1991
|
|    Revisions:
|    
|===================================================================
*/
#ifndef VNXWIDGET_H
#define VNXWIDGET_H

#ifdef CONST
#undef CONST
#endif

#ifndef WINNT
#include <X11/Intrinsic.h>
#endif

#define VNX_SLIDER_RANGE 1000

#define VNX_ARROW_UP 'u'
#define VNX_ARROW_DOWN 'd'
#define VNX_ARROW_LEFT 'l'
#define VNX_ARROW_RIGHT 'r'

#define VNX_RADIO_INDICATOR 'r'
#define VNX_CHECK_INDICATOR 'c'

#ifndef WINNT
typedef struct vnx_button
{
   char *name;
   RECTANGLE area;
   int index;
   int (*action)();
   ULONG foreground_color;
   ULONG background_color;
   Widget widget;
   char *data;
} VNX_BUTTON;


typedef struct vnx_slider
{
   char *name;
   RECTANGLE area;
   int (*action)();
   ULONG foreground_color;
   ULONG background_color;
   Widget widget;
   char *data;
} VNX_SLIDER;


typedef struct vnx_text
{
   char *name;
   char *sample_text;
   RECTANGLE sample_area;
   RECTANGLE area;
   int max_length;
   int (*action)();
   int (*action2)();
   ULONG foreground_color;
   ULONG background_color;
   Widget widget;
   char *data;
} VNX_TEXT;


typedef struct vnx_label
{
   char *name;
   RECTANGLE area;
   ULONG foreground_color;
   ULONG background_color;
   Widget widget;
} VNX_LABEL;



typedef struct vnx_layout
{
   char *name;
   RECTANGLE area;
   Widget widget;
   ULONG foreground_color;
   ULONG background_color;
   char *data;
} VNX_LAYOUT;

#endif
#endif
